﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RibbonBarDropDownListItems
{
    public partial class Form1 : RadRibbonForm
    {
        RadDropDownListElement ddList = new RadDropDownListElement();
        RadButton button = new RadButton();
        object selectedItem;

        public Form1()
        {
            InitializeComponent();
            this.radRibbonBarGroup1.Items.Add(ddList);

            this.Controls.Add(this.button);
            this.button.Dock = DockStyle.Bottom;
            this.button.Click += button_Click;

            this.ddList.SelectedIndexChanged += ddList_SelectedIndexChanged;

            this.Load += Form1_Load;
        }

        void ddList_SelectedIndexChanged(object sender, Telerik.WinControls.UI.Data.PositionChangedEventArgs e)
        {
            if (e.Position != -1)
            {
                this.selectedItem = this.ddList.Items[e.Position];
            }
        }

        void button_Click(object sender, EventArgs e)
        {
            this.radRibbonBar1.RibbonBarElement.Expanded = !this.radRibbonBar1.RibbonBarElement.Expanded;
            Console.WriteLine(ddList.Items.Count);
            Console.WriteLine(this.selectedItem);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            List<RadListDataItem> list = Enumerable.Range(0, 10).Select(x => new RadListDataItem(x.ToString())).ToList();

            //1.
            ddList.DataSource = list;

            //2.
            //ddList.Items.AddRange(list);

        }

        protected override void OnClick(EventArgs e)
        {
            base.OnClick(e);
        }
    }
}
